using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using Microsoft.Data.Odbc;

namespace ArtworksMusicStudio
{
	/// <summary>
	/// Summary description for RoomApp.
	/// </summary>
	public class RoomApp : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Label label8;
		private System.Windows.Forms.Label label7;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.DateTimePicker dateTimePicker1;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label9;
		private System.Windows.Forms.Label label10;
		private System.Windows.Forms.Label label11;
		private System.Windows.Forms.Label label12;
		private System.Windows.Forms.DateTimePicker dateTimePicker2;
		private System.Windows.Forms.Label label13;
		private System.Windows.Forms.Button button2;
		private System.Windows.Forms.Label label14;
		private System.Windows.Forms.Label label15;
		private System.Windows.Forms.TextBox textBox10;
		private System.Windows.Forms.ComboBox cbxMode;
		private System.Windows.Forms.TabControl tabControl1;
		private System.Windows.Forms.TabPage tabPensonal;
		private System.Windows.Forms.TabPage tabBooking;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;
		private RoomBook roombook;
		private System.Windows.Forms.ListBox lsbType;

		private System.Windows.Forms.Button btnOK;
		private System.Windows.Forms.TextBox txtDate;
		private System.Windows.Forms.TextBox txtNCode;
		private System.Windows.Forms.TextBox txtoTel;
		private System.Windows.Forms.TextBox txtMobile;
		private System.Windows.Forms.TextBox txtrTel;
		private System.Windows.Forms.ComboBox cbxSex;
		private System.Windows.Forms.TextBox txtAge;
		private System.Windows.Forms.TextBox txtCname;
		private System.Windows.Forms.TextBox txtEname;
		private System.Windows.Forms.TextBox txtAddr;
		private System.Windows.Forms.Label label16;
		private System.Windows.Forms.Label label17;
		private RoomCurrent roomcurrent;

		public RoomApp()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.tabControl1 = new System.Windows.Forms.TabControl();
			this.tabPensonal = new System.Windows.Forms.TabPage();
			this.txtoTel = new System.Windows.Forms.TextBox();
			this.label9 = new System.Windows.Forms.Label();
			this.txtMobile = new System.Windows.Forms.TextBox();
			this.label8 = new System.Windows.Forms.Label();
			this.txtrTel = new System.Windows.Forms.TextBox();
			this.label7 = new System.Windows.Forms.Label();
			this.cbxSex = new System.Windows.Forms.ComboBox();
			this.txtAddr = new System.Windows.Forms.TextBox();
			this.label6 = new System.Windows.Forms.Label();
			this.dateTimePicker1 = new System.Windows.Forms.DateTimePicker();
			this.label5 = new System.Windows.Forms.Label();
			this.txtAge = new System.Windows.Forms.TextBox();
			this.label4 = new System.Windows.Forms.Label();
			this.label3 = new System.Windows.Forms.Label();
			this.txtCname = new System.Windows.Forms.TextBox();
			this.label2 = new System.Windows.Forms.Label();
			this.txtEname = new System.Windows.Forms.TextBox();
			this.label1 = new System.Windows.Forms.Label();
			this.tabBooking = new System.Windows.Forms.TabPage();
			this.textBox10 = new System.Windows.Forms.TextBox();
			this.label15 = new System.Windows.Forms.Label();
			this.dateTimePicker2 = new System.Windows.Forms.DateTimePicker();
			this.label12 = new System.Windows.Forms.Label();
			this.cbxMode = new System.Windows.Forms.ComboBox();
			this.label11 = new System.Windows.Forms.Label();
			this.lsbType = new System.Windows.Forms.ListBox();
			this.label10 = new System.Windows.Forms.Label();
			this.label13 = new System.Windows.Forms.Label();
			this.txtDate = new System.Windows.Forms.TextBox();
			this.button2 = new System.Windows.Forms.Button();
			this.label14 = new System.Windows.Forms.Label();
			this.txtNCode = new System.Windows.Forms.TextBox();
			this.btnOK = new System.Windows.Forms.Button();
			this.label16 = new System.Windows.Forms.Label();
			this.label17 = new System.Windows.Forms.Label();
			this.tabControl1.SuspendLayout();
			this.tabPensonal.SuspendLayout();
			this.tabBooking.SuspendLayout();
			this.SuspendLayout();
			// 
			// tabControl1
			// 
			this.tabControl1.Controls.AddRange(new System.Windows.Forms.Control[] {
																					  this.tabPensonal,
																					  this.tabBooking});
			this.tabControl1.Location = new System.Drawing.Point(24, 75);
			this.tabControl1.Name = "tabControl1";
			this.tabControl1.SelectedIndex = 0;
			this.tabControl1.Size = new System.Drawing.Size(552, 280);
			this.tabControl1.TabIndex = 0;
			// 
			// tabPensonal
			// 
			this.tabPensonal.Controls.AddRange(new System.Windows.Forms.Control[] {
																					  this.txtoTel,
																					  this.label9,
																					  this.txtMobile,
																					  this.label8,
																					  this.txtrTel,
																					  this.label7,
																					  this.cbxSex,
																					  this.txtAddr,
																					  this.label6,
																					  this.dateTimePicker1,
																					  this.label5,
																					  this.txtAge,
																					  this.label4,
																					  this.label3,
																					  this.txtCname,
																					  this.label2,
																					  this.txtEname,
																					  this.label1});
			this.tabPensonal.Location = new System.Drawing.Point(4, 22);
			this.tabPensonal.Name = "tabPensonal";
			this.tabPensonal.Size = new System.Drawing.Size(544, 254);
			this.tabPensonal.TabIndex = 0;
			this.tabPensonal.Text = "Pensonal Details";
			// 
			// txtoTel
			// 
			this.txtoTel.Location = new System.Drawing.Point(424, 159);
			this.txtoTel.Name = "txtoTel";
			this.txtoTel.Size = new System.Drawing.Size(104, 20);
			this.txtoTel.TabIndex = 34;
			this.txtoTel.Text = "";
			// 
			// label9
			// 
			this.label9.Location = new System.Drawing.Point(376, 159);
			this.label9.Name = "label9";
			this.label9.Size = new System.Drawing.Size(48, 27);
			this.label9.TabIndex = 33;
			this.label9.Text = "(Office)";
			// 
			// txtMobile
			// 
			this.txtMobile.Location = new System.Drawing.Point(272, 159);
			this.txtMobile.Name = "txtMobile";
			this.txtMobile.TabIndex = 32;
			this.txtMobile.Text = "";
			// 
			// label8
			// 
			this.label8.Location = new System.Drawing.Point(232, 159);
			this.label8.Name = "label8";
			this.label8.Size = new System.Drawing.Size(48, 27);
			this.label8.TabIndex = 31;
			this.label8.Text = "(Mobile)";
			// 
			// txtrTel
			// 
			this.txtrTel.Location = new System.Drawing.Point(128, 159);
			this.txtrTel.Name = "txtrTel";
			this.txtrTel.Size = new System.Drawing.Size(96, 20);
			this.txtrTel.TabIndex = 30;
			this.txtrTel.Text = "";
			// 
			// label7
			// 
			this.label7.Location = new System.Drawing.Point(4, 159);
			this.label7.Name = "label7";
			this.label7.Size = new System.Drawing.Size(136, 27);
			this.label7.TabIndex = 29;
			this.label7.Text = "Phone No. (Residential) :";
			// 
			// cbxSex
			// 
			this.cbxSex.Items.AddRange(new object[] {
														"Male",
														"Female"});
			this.cbxSex.Location = new System.Drawing.Point(36, 65);
			this.cbxSex.Name = "cbxSex";
			this.cbxSex.Size = new System.Drawing.Size(56, 21);
			this.cbxSex.TabIndex = 28;
			this.cbxSex.Text = " ---- ";
			// 
			// txtAddr
			// 
			this.txtAddr.Location = new System.Drawing.Point(164, 112);
			this.txtAddr.Name = "txtAddr";
			this.txtAddr.Size = new System.Drawing.Size(364, 20);
			this.txtAddr.TabIndex = 27;
			this.txtAddr.Text = "";
			// 
			// label6
			// 
			this.label6.Location = new System.Drawing.Point(4, 112);
			this.label6.Name = "label6";
			this.label6.Size = new System.Drawing.Size(168, 27);
			this.label6.TabIndex = 26;
			this.label6.Text = "Residential Address (Chinese) :";
			// 
			// dateTimePicker1
			// 
			this.dateTimePicker1.Location = new System.Drawing.Point(336, 65);
			this.dateTimePicker1.Name = "dateTimePicker1";
			this.dateTimePicker1.Size = new System.Drawing.Size(192, 20);
			this.dateTimePicker1.TabIndex = 25;
			// 
			// label5
			// 
			this.label5.Location = new System.Drawing.Point(264, 65);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(72, 27);
			this.label5.TabIndex = 24;
			this.label5.Text = "Date of Birth: ";
			// 
			// txtAge
			// 
			this.txtAge.Location = new System.Drawing.Point(184, 65);
			this.txtAge.Name = "txtAge";
			this.txtAge.Size = new System.Drawing.Size(64, 20);
			this.txtAge.TabIndex = 23;
			this.txtAge.Text = "";
			// 
			// label4
			// 
			this.label4.Location = new System.Drawing.Point(144, 65);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(48, 27);
			this.label4.TabIndex = 22;
			this.label4.Text = "Age :";
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(4, 65);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(40, 27);
			this.label3.TabIndex = 21;
			this.label3.Text = "Sex :";
			// 
			// txtCname
			// 
			this.txtCname.Location = new System.Drawing.Point(396, 19);
			this.txtCname.Name = "txtCname";
			this.txtCname.Size = new System.Drawing.Size(132, 20);
			this.txtCname.TabIndex = 20;
			this.txtCname.Text = "";
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(284, 19);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(100, 26);
			this.label2.TabIndex = 19;
			this.label2.Text = "Name (Chinese) :";
			// 
			// txtEname
			// 
			this.txtEname.Location = new System.Drawing.Point(108, 19);
			this.txtEname.Name = "txtEname";
			this.txtEname.Size = new System.Drawing.Size(144, 20);
			this.txtEname.TabIndex = 18;
			this.txtEname.Text = "";
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(4, 19);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(100, 26);
			this.label1.TabIndex = 17;
			this.label1.Text = "Name (English) :";
			// 
			// tabBooking
			// 
			this.tabBooking.Controls.AddRange(new System.Windows.Forms.Control[] {
																					 this.textBox10,
																					 this.label15,
																					 this.dateTimePicker2,
																					 this.label12,
																					 this.cbxMode,
																					 this.label11,
																					 this.lsbType,
																					 this.label10});
			this.tabBooking.Location = new System.Drawing.Point(4, 22);
			this.tabBooking.Name = "tabBooking";
			this.tabBooking.Size = new System.Drawing.Size(544, 254);
			this.tabBooking.TabIndex = 1;
			this.tabBooking.Text = "Booking Details";
			this.tabBooking.Click += new System.EventHandler(this.tabBooking_Click);
			// 
			// textBox10
			// 
			this.textBox10.Location = new System.Drawing.Point(280, 131);
			this.textBox10.Name = "textBox10";
			this.textBox10.Size = new System.Drawing.Size(248, 20);
			this.textBox10.TabIndex = 7;
			this.textBox10.Text = "";
			// 
			// label15
			// 
			this.label15.Location = new System.Drawing.Point(216, 131);
			this.label15.Name = "label15";
			this.label15.Size = new System.Drawing.Size(64, 27);
			this.label15.TabIndex = 6;
			this.label15.Text = "Remarks :";
			// 
			// dateTimePicker2
			// 
			this.dateTimePicker2.Location = new System.Drawing.Point(328, 19);
			this.dateTimePicker2.Name = "dateTimePicker2";
			this.dateTimePicker2.TabIndex = 5;
			// 
			// label12
			// 
			this.label12.Location = new System.Drawing.Point(216, 19);
			this.label12.Name = "label12";
			this.label12.Size = new System.Drawing.Size(120, 26);
			this.label12.TabIndex = 4;
			this.label12.Text = "Start on Rental Date :";
			// 
			// cbxMode
			// 
			this.cbxMode.Items.AddRange(new object[] {
														 "Each Time",
														 "Monthly"});
			this.cbxMode.Location = new System.Drawing.Point(96, 131);
			this.cbxMode.Name = "cbxMode";
			this.cbxMode.Size = new System.Drawing.Size(96, 20);
			this.cbxMode.TabIndex = 3;
			this.cbxMode.Text = " ----";
			this.cbxMode.SelectedIndexChanged += new System.EventHandler(this.cbxMode_SelectedIndexChanged);
			// 
			// label11
			// 
			this.label11.Location = new System.Drawing.Point(16, 131);
			this.label11.Name = "label11";
			this.label11.Size = new System.Drawing.Size(80, 27);
			this.label11.TabIndex = 2;
			this.label11.Text = "Rental Mode :";
			// 
			// lsbType
			// 
			this.lsbType.ItemHeight = 12;
			this.lsbType.Items.AddRange(new object[] {
														 "Piano",
														 "Grand Piano",
														 "Band",
														 "Drum",
														 "Keyboard",
														 "Guitar"});
			this.lsbType.Location = new System.Drawing.Point(96, 19);
			this.lsbType.Name = "lsbType";
			this.lsbType.Size = new System.Drawing.Size(96, 95);
			this.lsbType.TabIndex = 1;
			this.lsbType.SelectedIndexChanged += new System.EventHandler(this.listBox1_SelectedIndexChanged);
			// 
			// label10
			// 
			this.label10.Location = new System.Drawing.Point(16, 19);
			this.label10.Name = "label10";
			this.label10.Size = new System.Drawing.Size(100, 26);
			this.label10.TabIndex = 0;
			this.label10.Text = "Rental Room :";
			// 
			// label13
			// 
			this.label13.Location = new System.Drawing.Point(432, 9);
			this.label13.Name = "label13";
			this.label13.Size = new System.Drawing.Size(48, 28);
			this.label13.TabIndex = 1;
			this.label13.Text = "Date :";
			// 
			// txtDate
			// 
			this.txtDate.Location = new System.Drawing.Point(472, 9);
			this.txtDate.Name = "txtDate";
			this.txtDate.ReadOnly = true;
			this.txtDate.TabIndex = 2;
			this.txtDate.Text = "";
			this.txtDate.TextChanged += new System.EventHandler(this.textBox8_TextChanged);
			// 
			// button2
			// 
			this.button2.Location = new System.Drawing.Point(496, 376);
			this.button2.Name = "button2";
			this.button2.Size = new System.Drawing.Size(75, 26);
			this.button2.TabIndex = 6;
			this.button2.Text = "Cancel";
			this.button2.Click += new System.EventHandler(this.button2_Click);
			// 
			// label14
			// 
			this.label14.Location = new System.Drawing.Point(368, 46);
			this.label14.Name = "label14";
			this.label14.Size = new System.Drawing.Size(112, 28);
			this.label14.TabIndex = 7;
			this.label14.Text = "Non-Student Code :";
			// 
			// txtNCode
			// 
			this.txtNCode.Location = new System.Drawing.Point(472, 46);
			this.txtNCode.Name = "txtNCode";
			this.txtNCode.ReadOnly = true;
			this.txtNCode.TabIndex = 8;
			this.txtNCode.Text = "";
			this.txtNCode.TextChanged += new System.EventHandler(this.txtNCode_TextChanged);
			// 
			// btnOK
			// 
			this.btnOK.Location = new System.Drawing.Point(392, 376);
			this.btnOK.Name = "btnOK";
			this.btnOK.Size = new System.Drawing.Size(75, 26);
			this.btnOK.TabIndex = 9;
			this.btnOK.Text = "OK";
			this.btnOK.Click += new System.EventHandler(this.btnOK_Click);
			// 
			// label16
			// 
			this.label16.Font = new System.Drawing.Font("Broadway BT", 24F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label16.Location = new System.Drawing.Point(16, 8);
			this.label16.Name = "label16";
			this.label16.Size = new System.Drawing.Size(336, 40);
			this.label16.TabIndex = 10;
			this.label16.Text = "Room Booking";
			// 
			// label17
			// 
			this.label17.Font = new System.Drawing.Font("Broadway BT", 14.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label17.Location = new System.Drawing.Point(24, 48);
			this.label17.Name = "label17";
			this.label17.Size = new System.Drawing.Size(192, 23);
			this.label17.TabIndex = 11;
			this.label17.Text = "for New Member";
			// 
			// RoomApp
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(592, 435);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.label17,
																		  this.label16,
																		  this.btnOK,
																		  this.txtNCode,
																		  this.label14,
																		  this.txtDate,
																		  this.label13,
																		  this.tabControl1,
																		  this.button2});
			this.Name = "RoomApp";
			this.Text = "Artworks music Studio - Practice Room Application Form";
			this.Load += new System.EventHandler(this.RoomApp_Load);
			this.tabControl1.ResumeLayout(false);
			this.tabPensonal.ResumeLayout(false);
			this.tabBooking.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		private void RoomApp_Load(object sender, System.EventArgs e)
		{
            int i=0;
			String gen = "";
			i++;
			if (i<10)
            gen = "000" + i;
            else if (i>=10 || i <100)
            gen = "00" + i;
			
			txtNCode.Text = "N"+ gen;

			txtDate.Text = dateTimePicker2.Value.ToShortDateString();
		}


		private void textBox8_TextChanged(object sender, System.EventArgs e)
		{
		
		}

		private void listBox1_SelectedIndexChanged(object sender, System.EventArgs e)
		{
		
		}

		private void tabBooking_Click(object sender, System.EventArgs e)
		{
		
		}

		private void btnOK_Click(object sender, System.EventArgs e)
		
		{
			
			Microsoft.Data.Odbc.OdbcConnection oODBCConnection;
			string sConnString ="DSN=artworks;DESC=MySQL ODBC 3.51 TEST DSN;DATABASE=artworks;SERVER=localhost;UID=root;PASSWORD=;PORT=3306;OPTION=3;STMT=;";
			oODBCConnection = new OdbcConnection(sConnString);

			try
			{
				oODBCConnection.Open();
			} 
			catch(Exception ex)
			{
				MessageBox.Show(ex.Message);
			}
	
			string strSQL = "insert into nonstudent(ns_code, cust_ename, cust_cname, cust_sex, cust_age, cust_birth, cust_addr, cust_rtel, cust_mobile, cust_otel, date) Values('" + txtNCode.Text + "','" + txtEname.Text + "','"+ txtCname.Text + "','"+ cbxSex.Text +"','"+ txtAge.Text +"','"+ dateTimePicker1.Text+ "','"+ txtAddr.Text +"','" + txtrTel.Text +"','"+ txtMobile.Text + "','" + txtoTel.Text + "','" + txtDate.Text +"')";
			OdbcCommand myCmd = new OdbcCommand(strSQL, oODBCConnection);
			myCmd.ExecuteNonQuery();
			
			oODBCConnection.Close();

			if ( cbxMode.Text == "Each Time" ) 
			{
				this.Hide();
				String roomtype = "";
			    roomtype = lsbType.Text;
				roomcurrent = new RoomCurrent();
				roomcurrent.cbxRoomType.Text = roomtype;
				roomcurrent.Show();

			}
			else if (cbxMode.Text == "Monthly" )
			{
				this.Hide();
				String mode = "";
				mode = cbxMode.Text;

				roombook = new RoomBook();

				roombook.cbxMode.Text = mode;
				roombook.txtCardNo.Text = "C0153";
				roombook.txtCode.Text = "N0187";

				String name ="";
				name = txtEname.Text;
				roombook.txtName.Text = name;
                
				String roomtype ="";
				roomtype = lsbType.Text;
				roombook.cbxType.Text = roomtype;

				roombook.Show();

			}

			

		
		}

		private void sqlConnection1_InfoMessage(object sender, System.Data.SqlClient.SqlInfoMessageEventArgs e)
		{
		
		}

		private void button2_Click(object sender, System.EventArgs e)
		{
		
		}

		private void txtNCode_TextChanged(object sender, System.EventArgs e)
		{
		
		}

		private void cbxMode_SelectedIndexChanged(object sender, System.EventArgs e)
		{
		
		}




	
	}
}
