using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace ArtworksMusicStudio
{
	/// <summary>
	/// Summary description for RoomBook.
	/// </summary>
	public class RoomBook : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Button button1;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.RichTextBox richTextBox1;
		private System.Windows.Forms.Button button2;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.Label label7;
		private System.Windows.Forms.Label label8;
		private System.Windows.Forms.TextBox textBox4;
		private System.Windows.Forms.Label label9;
		private System.Windows.Forms.Label label10;
		private System.Windows.Forms.TextBox textBox5;
		private System.Windows.Forms.Label label11;
		private System.Windows.Forms.TextBox textBox6;
		private System.Windows.Forms.Label label12;
		private System.Windows.Forms.RichTextBox richTextBox2;
		private System.Windows.Forms.Label label13;
		private System.Windows.Forms.Label label14;
		private System.Windows.Forms.ComboBox comboBox4;
		private System.Windows.Forms.Label label15;
		private System.Windows.Forms.ComboBox comboBox5;
		private System.Windows.Forms.Label label16;
		private System.Windows.Forms.TextBox textBox7;
		private System.Windows.Forms.TabControl tabControlRoom;
		private System.Windows.Forms.TabPage tabPdetails;
		private System.Windows.Forms.TabPage tabBdetails;
		private System.Windows.Forms.TabPage tabFee;
		public System.Windows.Forms.ComboBox cbxMode;
		private System.Windows.Forms.Label lblFrom;
		public System.Windows.Forms.TextBox txtStartTime;
		private System.Windows.Forms.Label lblTo;
		public System.Windows.Forms.TextBox txtEndTime;
		private System.Windows.Forms.Label lblNumber;
		private System.Windows.Forms.TextBox txtNumber;
		public System.Windows.Forms.ComboBox cbxType;
		private System.Windows.Forms.Button btnOK;
		private System.Windows.Forms.Label label17;
		private System.Windows.Forms.Button btnCancel;
		private System.Windows.Forms.Label label18;
		public System.Windows.Forms.ComboBox cbxPeriod;
		public System.Windows.Forms.TextBox txtCardNo;
		public System.Windows.Forms.TextBox txtName;
		public System.Windows.Forms.TextBox txtCode;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public RoomBook()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.tabControlRoom = new System.Windows.Forms.TabControl();
			this.tabPdetails = new System.Windows.Forms.TabPage();
			this.label7 = new System.Windows.Forms.Label();
			this.txtCardNo = new System.Windows.Forms.TextBox();
			this.label5 = new System.Windows.Forms.Label();
			this.button2 = new System.Windows.Forms.Button();
			this.richTextBox1 = new System.Windows.Forms.RichTextBox();
			this.button1 = new System.Windows.Forms.Button();
			this.txtName = new System.Windows.Forms.TextBox();
			this.label2 = new System.Windows.Forms.Label();
			this.txtCode = new System.Windows.Forms.TextBox();
			this.label1 = new System.Windows.Forms.Label();
			this.tabBdetails = new System.Windows.Forms.TabPage();
			this.txtNumber = new System.Windows.Forms.TextBox();
			this.lblNumber = new System.Windows.Forms.Label();
			this.txtEndTime = new System.Windows.Forms.TextBox();
			this.lblTo = new System.Windows.Forms.Label();
			this.txtStartTime = new System.Windows.Forms.TextBox();
			this.lblFrom = new System.Windows.Forms.Label();
			this.cbxMode = new System.Windows.Forms.ComboBox();
			this.label6 = new System.Windows.Forms.Label();
			this.cbxType = new System.Windows.Forms.ComboBox();
			this.cbxPeriod = new System.Windows.Forms.ComboBox();
			this.label4 = new System.Windows.Forms.Label();
			this.label3 = new System.Windows.Forms.Label();
			this.tabFee = new System.Windows.Forms.TabPage();
			this.comboBox5 = new System.Windows.Forms.ComboBox();
			this.label15 = new System.Windows.Forms.Label();
			this.comboBox4 = new System.Windows.Forms.ComboBox();
			this.label14 = new System.Windows.Forms.Label();
			this.label13 = new System.Windows.Forms.Label();
			this.richTextBox2 = new System.Windows.Forms.RichTextBox();
			this.label12 = new System.Windows.Forms.Label();
			this.textBox6 = new System.Windows.Forms.TextBox();
			this.label11 = new System.Windows.Forms.Label();
			this.textBox5 = new System.Windows.Forms.TextBox();
			this.label10 = new System.Windows.Forms.Label();
			this.label9 = new System.Windows.Forms.Label();
			this.textBox4 = new System.Windows.Forms.TextBox();
			this.label8 = new System.Windows.Forms.Label();
			this.label16 = new System.Windows.Forms.Label();
			this.textBox7 = new System.Windows.Forms.TextBox();
			this.btnOK = new System.Windows.Forms.Button();
			this.label17 = new System.Windows.Forms.Label();
			this.btnCancel = new System.Windows.Forms.Button();
			this.label18 = new System.Windows.Forms.Label();
			this.tabControlRoom.SuspendLayout();
			this.tabPdetails.SuspendLayout();
			this.tabBdetails.SuspendLayout();
			this.tabFee.SuspendLayout();
			this.SuspendLayout();
			// 
			// tabControlRoom
			// 
			this.tabControlRoom.Controls.AddRange(new System.Windows.Forms.Control[] {
																						 this.tabPdetails,
																						 this.tabBdetails,
																						 this.tabFee});
			this.tabControlRoom.Location = new System.Drawing.Point(16, 56);
			this.tabControlRoom.Name = "tabControlRoom";
			this.tabControlRoom.SelectedIndex = 0;
			this.tabControlRoom.Size = new System.Drawing.Size(552, 272);
			this.tabControlRoom.TabIndex = 0;
			// 
			// tabPdetails
			// 
			this.tabPdetails.Controls.AddRange(new System.Windows.Forms.Control[] {
																					  this.label7,
																					  this.txtCardNo,
																					  this.label5,
																					  this.button2,
																					  this.richTextBox1,
																					  this.button1,
																					  this.txtName,
																					  this.label2,
																					  this.txtCode,
																					  this.label1});
			this.tabPdetails.Location = new System.Drawing.Point(4, 22);
			this.tabPdetails.Name = "tabPdetails";
			this.tabPdetails.Size = new System.Drawing.Size(544, 246);
			this.tabPdetails.TabIndex = 0;
			this.tabPdetails.Text = "Personal Details";
			// 
			// label7
			// 
			this.label7.Location = new System.Drawing.Point(96, 88);
			this.label7.Name = "label7";
			this.label7.Size = new System.Drawing.Size(64, 23);
			this.label7.TabIndex = 9;
			this.label7.Text = "Card No. :";
			// 
			// txtCardNo
			// 
			this.txtCardNo.Location = new System.Drawing.Point(160, 88);
			this.txtCardNo.Name = "txtCardNo";
			this.txtCardNo.TabIndex = 8;
			this.txtCardNo.Text = "";
			// 
			// label5
			// 
			this.label5.Location = new System.Drawing.Point(304, 8);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(100, 16);
			this.label5.TabIndex = 7;
			this.label5.Text = "Record Details :";
			this.label5.Click += new System.EventHandler(this.label5_Click);
			// 
			// button2
			// 
			this.button2.Location = new System.Drawing.Point(176, 144);
			this.button2.Name = "button2";
			this.button2.TabIndex = 6;
			this.button2.Text = "Clear";
			// 
			// richTextBox1
			// 
			this.richTextBox1.Location = new System.Drawing.Point(304, 24);
			this.richTextBox1.Name = "richTextBox1";
			this.richTextBox1.ReadOnly = true;
			this.richTextBox1.Size = new System.Drawing.Size(224, 208);
			this.richTextBox1.TabIndex = 5;
			this.richTextBox1.Text = "";
			// 
			// button1
			// 
			this.button1.Location = new System.Drawing.Point(72, 144);
			this.button1.Name = "button1";
			this.button1.TabIndex = 4;
			this.button1.Text = "Check";
			// 
			// txtName
			// 
			this.txtName.Location = new System.Drawing.Point(160, 56);
			this.txtName.Name = "txtName";
			this.txtName.TabIndex = 3;
			this.txtName.Text = "";
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(112, 56);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(48, 23);
			this.label2.TabIndex = 2;
			this.label2.Text = "Name :";
			// 
			// txtCode
			// 
			this.txtCode.Location = new System.Drawing.Point(160, 24);
			this.txtCode.Name = "txtCode";
			this.txtCode.TabIndex = 1;
			this.txtCode.Text = "";
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(8, 24);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(152, 23);
			this.label1.TabIndex = 0;
			this.label1.Text = "Student / Non-Student Code :";
			// 
			// tabBdetails
			// 
			this.tabBdetails.Controls.AddRange(new System.Windows.Forms.Control[] {
																					  this.txtNumber,
																					  this.lblNumber,
																					  this.txtEndTime,
																					  this.lblTo,
																					  this.txtStartTime,
																					  this.lblFrom,
																					  this.cbxMode,
																					  this.label6,
																					  this.cbxType,
																					  this.cbxPeriod,
																					  this.label4,
																					  this.label3});
			this.tabBdetails.Location = new System.Drawing.Point(4, 22);
			this.tabBdetails.Name = "tabBdetails";
			this.tabBdetails.Size = new System.Drawing.Size(544, 246);
			this.tabBdetails.TabIndex = 1;
			this.tabBdetails.Text = "Booking Details";
			this.tabBdetails.Click += new System.EventHandler(this.tabPage2_Click);
			// 
			// txtNumber
			// 
			this.txtNumber.Location = new System.Drawing.Point(168, 176);
			this.txtNumber.Name = "txtNumber";
			this.txtNumber.Size = new System.Drawing.Size(56, 20);
			this.txtNumber.TabIndex = 11;
			this.txtNumber.Text = "";
			// 
			// lblNumber
			// 
			this.lblNumber.Location = new System.Drawing.Point(16, 176);
			this.lblNumber.Name = "lblNumber";
			this.lblNumber.Size = new System.Drawing.Size(152, 23);
			this.lblNumber.TabIndex = 10;
			this.lblNumber.Text = "Number Of Practice Lesson :";
			// 
			// txtEndTime
			// 
			this.txtEndTime.Location = new System.Drawing.Point(160, 144);
			this.txtEndTime.Name = "txtEndTime";
			this.txtEndTime.Size = new System.Drawing.Size(64, 20);
			this.txtEndTime.TabIndex = 9;
			this.txtEndTime.Text = "";
			// 
			// lblTo
			// 
			this.lblTo.Location = new System.Drawing.Point(128, 144);
			this.lblTo.Name = "lblTo";
			this.lblTo.Size = new System.Drawing.Size(24, 23);
			this.lblTo.TabIndex = 8;
			this.lblTo.Text = "To :";
			// 
			// txtStartTime
			// 
			this.txtStartTime.Location = new System.Drawing.Point(56, 144);
			this.txtStartTime.Name = "txtStartTime";
			this.txtStartTime.Size = new System.Drawing.Size(64, 20);
			this.txtStartTime.TabIndex = 7;
			this.txtStartTime.Text = "";
			this.txtStartTime.TextChanged += new System.EventHandler(this.txtStartTime_TextChanged);
			// 
			// lblFrom
			// 
			this.lblFrom.Location = new System.Drawing.Point(16, 144);
			this.lblFrom.Name = "lblFrom";
			this.lblFrom.Size = new System.Drawing.Size(40, 23);
			this.lblFrom.TabIndex = 6;
			this.lblFrom.Text = "From :";
			// 
			// cbxMode
			// 
			this.cbxMode.Items.AddRange(new object[] {
														 "Each Time",
														 "Monthly"});
			this.cbxMode.Location = new System.Drawing.Point(104, 16);
			this.cbxMode.Name = "cbxMode";
			this.cbxMode.Size = new System.Drawing.Size(121, 21);
			this.cbxMode.TabIndex = 5;
			this.cbxMode.SelectedIndexChanged += new System.EventHandler(this.cbxMode_SelectedIndexChanged);
			// 
			// label6
			// 
			this.label6.Location = new System.Drawing.Point(16, 16);
			this.label6.Name = "label6";
			this.label6.TabIndex = 4;
			this.label6.Text = "Rental Mode :";
			// 
			// cbxType
			// 
			this.cbxType.Items.AddRange(new object[] {
														 "Piano",
														 "Band",
														 "Drum",
														 "Keyboard",
														 "Guitar"});
			this.cbxType.Location = new System.Drawing.Point(104, 72);
			this.cbxType.Name = "cbxType";
			this.cbxType.Size = new System.Drawing.Size(121, 21);
			this.cbxType.TabIndex = 3;
			// 
			// cbxPeriod
			// 
			this.cbxPeriod.Items.AddRange(new object[] {
														   "30 mins",
														   "45 mins",
														   "60 mins"});
			this.cbxPeriod.Location = new System.Drawing.Point(104, 104);
			this.cbxPeriod.Name = "cbxPeriod";
			this.cbxPeriod.Size = new System.Drawing.Size(121, 21);
			this.cbxPeriod.TabIndex = 2;
			this.cbxPeriod.SelectedIndexChanged += new System.EventHandler(this.cbxPeriod_SelectedIndexChanged);
			// 
			// label4
			// 
			this.label4.Location = new System.Drawing.Point(16, 104);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(80, 23);
			this.label4.TabIndex = 1;
			this.label4.Text = "Practice Time :";
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(16, 72);
			this.label3.Name = "label3";
			this.label3.TabIndex = 0;
			this.label3.Text = "Practice Room:";
			// 
			// tabFee
			// 
			this.tabFee.Controls.AddRange(new System.Windows.Forms.Control[] {
																				 this.comboBox5,
																				 this.label15,
																				 this.comboBox4,
																				 this.label14,
																				 this.label13,
																				 this.richTextBox2,
																				 this.label12,
																				 this.textBox6,
																				 this.label11,
																				 this.textBox5,
																				 this.label10,
																				 this.label9,
																				 this.textBox4,
																				 this.label8});
			this.tabFee.Location = new System.Drawing.Point(4, 22);
			this.tabFee.Name = "tabFee";
			this.tabFee.Size = new System.Drawing.Size(544, 246);
			this.tabFee.TabIndex = 2;
			this.tabFee.Text = "Fee";
			this.tabFee.Click += new System.EventHandler(this.tabPage3_Click);
			// 
			// comboBox5
			// 
			this.comboBox5.Items.AddRange(new object[] {
														   "Chris",
														   "Hei"});
			this.comboBox5.Location = new System.Drawing.Point(408, 208);
			this.comboBox5.Name = "comboBox5";
			this.comboBox5.Size = new System.Drawing.Size(121, 21);
			this.comboBox5.TabIndex = 13;
			this.comboBox5.Text = " ---- ";
			// 
			// label15
			// 
			this.label15.Location = new System.Drawing.Point(304, 208);
			this.label15.Name = "label15";
			this.label15.TabIndex = 12;
			this.label15.Text = "Received By :";
			// 
			// comboBox4
			// 
			this.comboBox4.Items.AddRange(new object[] {
														   "Cash",
														   "VISA",
														   "MasterCard",
														   "EPS"});
			this.comboBox4.Location = new System.Drawing.Point(112, 208);
			this.comboBox4.Name = "comboBox4";
			this.comboBox4.Size = new System.Drawing.Size(121, 21);
			this.comboBox4.TabIndex = 11;
			this.comboBox4.Text = " ---- ";
			// 
			// label14
			// 
			this.label14.Location = new System.Drawing.Point(16, 208);
			this.label14.Name = "label14";
			this.label14.TabIndex = 10;
			this.label14.Text = "Payment Method :";
			// 
			// label13
			// 
			this.label13.Location = new System.Drawing.Point(16, 16);
			this.label13.Name = "label13";
			this.label13.Size = new System.Drawing.Size(100, 16);
			this.label13.TabIndex = 9;
			this.label13.Text = "Payment Details :";
			// 
			// richTextBox2
			// 
			this.richTextBox2.Location = new System.Drawing.Point(16, 32);
			this.richTextBox2.Name = "richTextBox2";
			this.richTextBox2.ReadOnly = true;
			this.richTextBox2.Size = new System.Drawing.Size(512, 80);
			this.richTextBox2.TabIndex = 8;
			this.richTextBox2.Text = "";
			// 
			// label12
			// 
			this.label12.Location = new System.Drawing.Point(128, 152);
			this.label12.Name = "label12";
			this.label12.Size = new System.Drawing.Size(16, 23);
			this.label12.TabIndex = 7;
			this.label12.Text = "$";
			// 
			// textBox6
			// 
			this.textBox6.Location = new System.Drawing.Point(144, 152);
			this.textBox6.Name = "textBox6";
			this.textBox6.ReadOnly = true;
			this.textBox6.TabIndex = 6;
			this.textBox6.Text = "";
			// 
			// label11
			// 
			this.label11.Location = new System.Drawing.Point(80, 152);
			this.label11.Name = "label11";
			this.label11.Size = new System.Drawing.Size(48, 23);
			this.label11.TabIndex = 5;
			this.label11.Text = "Total :";
			// 
			// textBox5
			// 
			this.textBox5.Location = new System.Drawing.Point(264, 128);
			this.textBox5.Name = "textBox5";
			this.textBox5.TabIndex = 4;
			this.textBox5.Text = "";
			// 
			// label10
			// 
			this.label10.Location = new System.Drawing.Point(248, 128);
			this.label10.Name = "label10";
			this.label10.Size = new System.Drawing.Size(16, 23);
			this.label10.TabIndex = 3;
			this.label10.Text = "x";
			// 
			// label9
			// 
			this.label9.Location = new System.Drawing.Point(128, 128);
			this.label9.Name = "label9";
			this.label9.Size = new System.Drawing.Size(8, 23);
			this.label9.TabIndex = 2;
			this.label9.Text = "$";
			// 
			// textBox4
			// 
			this.textBox4.Location = new System.Drawing.Point(144, 128);
			this.textBox4.Name = "textBox4";
			this.textBox4.TabIndex = 1;
			this.textBox4.Text = "";
			// 
			// label8
			// 
			this.label8.Location = new System.Drawing.Point(16, 128);
			this.label8.Name = "label8";
			this.label8.Size = new System.Drawing.Size(112, 23);
			this.label8.TabIndex = 0;
			this.label8.Text = "Practice Room Fee :";
			// 
			// label16
			// 
			this.label16.Location = new System.Drawing.Point(424, 8);
			this.label16.Name = "label16";
			this.label16.Size = new System.Drawing.Size(40, 23);
			this.label16.TabIndex = 1;
			this.label16.Text = "Date :";
			// 
			// textBox7
			// 
			this.textBox7.Location = new System.Drawing.Point(464, 8);
			this.textBox7.Name = "textBox7";
			this.textBox7.ReadOnly = true;
			this.textBox7.TabIndex = 2;
			this.textBox7.Text = "";
			// 
			// btnOK
			// 
			this.btnOK.Location = new System.Drawing.Point(392, 336);
			this.btnOK.Name = "btnOK";
			this.btnOK.TabIndex = 10;
			this.btnOK.Text = "OK";
			// 
			// label17
			// 
			this.label17.Font = new System.Drawing.Font("Broadway BT", 24F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label17.Location = new System.Drawing.Point(16, 0);
			this.label17.Name = "label17";
			this.label17.Size = new System.Drawing.Size(384, 48);
			this.label17.TabIndex = 11;
			this.label17.Text = "Room Booking";
			// 
			// btnCancel
			// 
			this.btnCancel.Location = new System.Drawing.Point(488, 336);
			this.btnCancel.Name = "btnCancel";
			this.btnCancel.TabIndex = 12;
			this.btnCancel.Text = "Cancel";
			// 
			// label18
			// 
			this.label18.Font = new System.Drawing.Font("Broadway BT", 14.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label18.Location = new System.Drawing.Point(24, 32);
			this.label18.Name = "label18";
			this.label18.Size = new System.Drawing.Size(160, 23);
			this.label18.TabIndex = 13;
			this.label18.Text = "for Member";
			// 
			// RoomBook
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(592, 373);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.label18,
																		  this.btnCancel,
																		  this.label17,
																		  this.textBox7,
																		  this.label16,
																		  this.tabControlRoom,
																		  this.btnOK});
			this.Name = "RoomBook";
			this.Text = "Artworks Music Studio - Room Booking";
			this.Load += new System.EventHandler(this.RoomBook_Load);
			this.tabControlRoom.ResumeLayout(false);
			this.tabPdetails.ResumeLayout(false);
			this.tabBdetails.ResumeLayout(false);
			this.tabFee.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		private void tabPage2_Click(object sender, System.EventArgs e)
		{
		
		}

		private void label5_Click(object sender, System.EventArgs e)
		{
		
		}

		private void RoomBook_Load(object sender, System.EventArgs e)
		{
			lblFrom.Visible = false;
			txtStartTime.Visible = false;
			lblTo.Visible = false;
			txtEndTime.Visible = false;
			lblNumber.Visible = false;
			txtNumber.Visible = false;

			if (cbxMode.Text == "Each Time") 
			{
				lblFrom.Visible = true;
				txtStartTime.Visible = true;
				lblTo.Visible = true;
				txtEndTime.Visible = true;
				lblNumber.Visible = false;
				txtNumber.Visible = false;
			}
			else if (cbxMode.Text == "Monthly")
			{
				lblFrom.Visible = false;
				txtStartTime.Visible = false;
				lblTo.Visible = false;
				txtEndTime.Visible = false;
				lblNumber.Visible = true;
				txtNumber.Visible = true;
			}
		}

		private void tabPage3_Click(object sender, System.EventArgs e)
		{
		
		}

		private void cbxMode_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			if (cbxMode.Text == "Each Time") 
			{
				lblFrom.Visible = true;
				txtStartTime.Visible = true;
				lblTo.Visible = true;
				txtEndTime.Visible = true;
				lblNumber.Visible = false;
				txtNumber.Visible = false;
			}
			else if (cbxMode.Text == "Monthly")
			{
				lblFrom.Visible = false;
				txtStartTime.Visible = false;
				lblTo.Visible = false;
				txtEndTime.Visible = false;
				lblNumber.Visible = true;
				txtNumber.Visible = true;
			}
		}

	

		private void txtStartTime_TextChanged(object sender, System.EventArgs e)
		{
		RoomCurrent a =new RoomCurrent();
			a.Show();
		}

		private void cbxPeriod_SelectedIndexChanged(object sender, System.EventArgs e)
		{
		
		}
	}
}
